# Generated from filterparams-0.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name filterparams

Name: rubygem-%{gem_name}
Version: 0.9.2
Release: 1%{?dist}
Summary: Parser for filterparams query parameters
License: MIT
URL: https://github.com/cbrand/ruby-filterparams
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-json)
# BuildRequires: rubygem(simplecov-rcov)
# BuildRequires: rubygem(rubocop-checkstyle_formatter)
# BuildRequires: rubygem(ci_reporter_rspec)
BuildArch: noarch

%description
Parses filter parameters compatible query parameters and returns an object
which can be used to be mapped on top of a backend system. More information is
available on Github ( https://github.com/cbrand/ruby-filterparams ).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 0.9.2-1
- Initial package
